;InnoSetupVersion=3.0.1

[Setup]
AppName=MCS CPU Benchmark
AppVerName=MCS CPU Benchmark V.1
AppId=MCS CPU Benchmark
AppVersion=1.0.0.5
AppPublisher=MCS Studios
AppPublisherURL=http://www.mcs.z.pl
DefaultDirName={pf}\MCS Studios\MCS CPU Benchmark V1
DefaultGroupName=MCS CPU Benchmark V1
UninstallDisplayIcon={app}\MCScpu.exe
UninstallDisplayName=Unistall Benchmark
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\MCScpu.exe"; DestDir: "{app}"; 
Source: "{app}\Readme.txt"; DestDir: "{app}"; 
Source: "{sys}\ASYCFILT.DLL"; DestDir: "{sys}"; 
Source: "{app}\cpuID.dll"; DestDir: "{app}"; 
Source: "{sys}\MSCOMCTL.OCX"; DestDir: "{sys}"; 
Source: "{sys}\MSVBVM60.DLL"; DestDir: "{sys}"; 
Source: "{sys}\OLEAUT32.DLL"; DestDir: "{sys}"; 
Source: "{sys}\OLEPRO32.DLL"; DestDir: "{sys}"; 
Source: "{app}\Settings\cpuid.txt"; DestDir: "{app}\Settings"; 
Source: "{app}\Data\ASYCFILT.DLL"; DestDir: "{app}\Data"; 
Source: "{app}\Data\COMCAT.DLL"; DestDir: "{app}\Data"; 
Source: "{app}\Data\config.cfg"; DestDir: "{app}\Data"; 
Source: "{app}\Data\Credits.exe"; DestDir: "{app}\Data"; 
Source: "{app}\Data\Updater.exe"; DestDir: "{app}\Data"; 
Source: "{app}\Data\cpuID.dll"; DestDir: "{app}\Data"; 
Source: "{app}\Data\mcs.gif"; DestDir: "{app}\Data"; 

[Dirs]
Name: "{app}\data"; 
Name: "{app}\Settings"; 

[Registry]
Root: HKCU; Subkey: "Software\MCS Studios"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\MCS Studios\CPUbench"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\MCS Studios"; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\MCS Studios\CPUbench"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\MCS Studios\CPUbench\Settings"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; 

[Run]
Filename: "{app}\Readme.txt"; Flags: shellexec skipifdoesntexist postinstall skipifsilent 

[Icons]
Name: "{group}\MCS CPU Benchmark"; Filename: "{app}\MCScpu.exe"; 
